Name: pcre
Version: 4.5
Release: alt1

Summary: Perl-compatible regular expression library
License: BSD-like
Group: System/Libraries
Url: http://www.pcre.org/

Source: ftp://ftp.csx.cam.ac.uk/pub/software/programming/%name/%name-%version.tar.bz2
Source1: pcre-config.1

Patch1: %name-4.3-deb-soname.patch

%def_disable compat

%if_enabled compat
%define libname lib%{name}
%else
%define libname lib%{name}3
%endif

%package -n %libname
Summary: Perl-compatible regular expression %{?_enable_compat:compatibility }shared library
Group: System/Libraries
Provides: %name = %version
Obsoletes: %name

%package -n lib%name-devel
Summary: Perl-compatible regular expressions development environment
Group: Development/C
Provides: %name-devel = %version
Obsoletes: %name-devel
Requires: %libname = %version-%release

%package -n lib%name-devel-static
Summary: Perl-compatible regular expressions static library
Group: Development/C
Provides: %name-devel-static = %version
Obsoletes: %name-devel-static
Requires: lib%name-devel = %version-%release

%package grep
Summary: Grep using perl-compatible regular expressions
Group: File tools
Obsoletes: pgrep
Requires: %libname = %version-%release

%description
The PCRE library is a set of functions that implement regular expres-
sion pattern matching using the same syntax and semantics as Perl, with
just a few differences.  The current implementation of PCRE corresponds
approximately with Perl 5.8.

%description -n %libname
The PCRE library is a set of functions that implement regular expres-
sion pattern matching using the same syntax and semantics as Perl, with
just a few differences.  The current implementation of PCRE corresponds
approximately with Perl 5.8.

This package contains PCRE %{?_enable_compat:compatibility }shared libraries.

%description -n lib%name-devel
The PCRE library is a set of functions that implement regular expres-
sion pattern matching using the same syntax and semantics as Perl, with
just a few differences.  The current implementation of PCRE corresponds
approximately with Perl 5.8.

This package contains development libraries, include files and development
documentation required for developing applications which use perl-style
regular expressions.

%description -n lib%name-devel-static
The PCRE library is a set of functions that implement regular expres-
sion pattern matching using the same syntax and semantics as Perl, with
just a few differences.  The current implementation of PCRE corresponds
approximately with Perl 5.8.

This package contains static development libraries required for developing
statically linked applications which use perl-style regular expressions.

%description grep
pgrep is a grep workalike which uses perl-style regular expressions
instead of POSIX regular expressions.

%prep
%setup -q
%{!?_enable_compat:%patch1 -p1}

%build
%configure --includedir=%_includedir/%name
%make_build
%{?!__buildreqs:%{?!_without_check:%{?!_disable_check:%make_build check}}}

%install
%make_install install DESTDIR=$RPM_BUILD_ROOT
%__chmod a-x $RPM_BUILD_ROOT%_libdir/*.so
%__rm -f $RPM_BUILD_ROOT%_libdir/*.la

%__install -p -m644 %SOURCE1 $RPM_BUILD_ROOT%_man1dir/

%define docdir %_docdir/%name-%version
%__rm -rf $RPM_BUILD_ROOT%docdir
%__mkdir_p $RPM_BUILD_ROOT%docdir
%__install -pm644 AUTHORS ChangeLog LICENCE README NEWS doc/Tech.Notes \
	$RPM_BUILD_ROOT%docdir/
%__bzip2 -9 $RPM_BUILD_ROOT%docdir/ChangeLog

%post -n %libname -p %post_ldconfig
%postun -n %libname -p %postun_ldconfig

%files -n %libname
%_libdir/*.so.*
%dir %docdir
%docdir/[A-S]*

%if_enabled compat

%else # !enable_compat

%files -n lib%name-devel
%_bindir/*config
%_libdir/*.so
%_includedir/*
%_man1dir/*config.*
%_man3dir/*
%dir %docdir
%docdir/T*

%files -n lib%name-devel-static
%_libdir/*.a

%files grep
%_bindir/*grep
%_bindir/*test
%_man1dir/*
%exclude %_man1dir/*config.*

%endif # !enable_compat

%changelog
* Thu Dec 11 2003 Dmitry V. Levin <ldv@altlinux.org> 4.5-alt1
- Updated to 4.5.
- Removed alt-makefile patch (merged upstream).

* Mon Nov 03 2003 Dmitry V. Levin <ldv@altlinux.org> 4.4-alt1
- Updated to 4.4.
- Changed API, soname and renamed library subpackage to libpcre3.
- Implemented backwards compatibility build mode.
- Reverted back library relocation introduced in 3.4-ipl3mdk.
- Added pcre-config(1) manpage (deb).
- Do not package .la files.
- Updated package descriptions.
- Fixed SMP build.

* Tue Sep 10 2002 Dmitry V. Levin <ldv@altlinux.org> 3.9-alt3
- Fixed lib%name.la

* Sun Sep 01 2002 Dmitry V. Levin <ldv@altlinux.org> 3.9-alt2
- Updated %post/%postun scripts.
- Fixed library symlinks generation.
- Relocated documentation.
- Updated devel-static requirements.

* Mon Jan 14 2002 Dmitry V. Levin <ldv@alt-linux.org> 3.9-alt1
- 3.9

* Mon Nov 19 2001 Dmitry V. Levin <ldv@alt-linux.org> 3.7-alt1
- 3.7
- Created subdirectory for include files.

* Mon Aug 20 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.5-alt1
- 3.5
- Moved static libraries to devel-static subpackage.
- Corrected requires.
- Corrected license info.
- Added pcretest utility to grep subpackage.

* Thu Feb 08 2001 Dmitry V. Levin <ldv@fandra.org> 3.4-ipl4mdk
- Fixed group tag in %name-grep subpackage.
- Libification.

* Wed Dec 13 2000 Dmitry V. Levin <ldv@fandra.org> 3.4-ipl3mdk
- Moved shared libraries from %_libdir to /lib.

* Wed Oct 11 2000 Dmitry V. Levin <ldv@fandra.org> 3.4-ipl2mdk
- Automatically added BuildRequires.

* Thu Aug 24 2000 Dmitry V. Levin <ldv@fandra.org> 3.4-ipl1mdk
- 3.4

* Thu Aug  3 2000 Dmitry V. Levin <ldv@fandra.org> 3.3-ipl1mdk
- 3.3
- Renamed subpackage pgrep --> pcre-grep.

* Wed Jun 28 2000 Dmitry V. Levin <ldv@fandra.org> 3.2-ipl1mdk
- Use FHS-compatible macros.

* Wed May 17 2000 Dmitry V. Levin <ldv@fandra.org>
- 3.2

* Thu Feb 10 2000 Dmitry V. Levin <ldv@fandra.org>
- 3.1

* Thu Dec 12 1999 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions

* Fri Nov 05 1999 Arne Coucheron <arneco@online.no>
  [2.08-1]
- using name and version macros
- changed Group to comply with RH 6.x
- using make install
- using install -d instead of mkdir -p
- removing RPM_BUILD_ROOT before installing
- some changes in the files section

* Fri May 28 1999 Damien Miller <dmiller@ilogic.com.au>
- Built RPMs
